/*
 * Instantlauncher. Author: Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.instantlauncher.configuration;

import java.io.File;
import java.util.Set;

public class Configuration {
    public Set<FileAssociation> fileAssociations;
    public String navigationRootPath;
    public String directoryOpenCommand;
    public String directoryTerminalOpenCommand;

    public FileAssociation findFileAssociation(File file) {
        for (FileAssociation association : fileAssociations)
            if (association.matchesFile(file)) return association;

        return null;
    }

    public File getNavigationRootDirectory() {
        return new File(navigationRootPath);
    }

}
